
import jahuwaldt.aero.airfoils.*;

/**
 * A simple class to test the classes in the jahuwaldt.aero.airfoil package.
 * 
 * <p> Modified by: Joseph A. Huwaldt </p>
 * 
 * @author Joseph A. Huwaldt Date: August 16, 2002
 * @version April 3, 2014
 */
public class AirfoilTester {

    public static void main(String[] args) {

        System.out.println("Airfoil package tester...");

        //	Test the NACA 4 Uncambered airfoils.
        NACA4Uncambered.main(null);

        //	Test the NACA 4 Cambered airfoils.
        NACA4Cambered.main(null);

        //	Test the NACA 5 Cambered airfoils.
        NACA5Cambered.main(null);

        //	Test the NACA 5 Reflexed airfoils.
        NACA5Reflexed.main(null);

        //	Test the uncambered NACA 4 Modified airfoils.
        NACA4ModUncambered.main(null);

        //	Test the cambered NACA 4 Modified airfoils.
        NACA4ModCambered.main(null);

        //	Test the NACA factory class.
        NACAFactory.main(null);

        System.out.println("End Airfoil package tester.");

    }

}
